Bug 1480782 - Wifi hotspot not able to authenticate and complete handshake [NEEDINFO]
Wifi hotspot not able to authenticate and complete handshake
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 17:04 EDT by brumple.p
Modified: 2018-05-29 08:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:53:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bgalvani: needinfo? (brumple.p)


Attachments (Terms of Use)

  None (edit)
Description brumple.p 2017-08-11 17:04:41 EDT
Description of problem: I recently wanted to set up a hotspot on my laptop, which I had successfully done a while back. I have upgraded to Fedora 26 a couple weeks back. I am able to start the hotspot using NetworkManager but I cannot complete the connection to it using Android or Windows. I tried to investigate some things and it seems like this bug is in wpa_supplicant. 

I am able to create and connect a hotspot using Fedora 25 live using the same hardware.


Version-Release number of selected component (if applicable): wpa_supplicant-2.6-8.fc26.rpm


How reproducible: Using NetworkManager


Steps to Reproduce:
1. Choose the Wifi device
2. Click Use as Hotspot
3. Try to connect to the Hotspot with another device

Actual results: Connection cannot be authenticated and is dropped


Expected results: Connection should be successfully authenticated and usable


Additional info: Seems like a regression from Fedora 25
Comment 1 Beniamino Galvani 2017-08-28 10:55:56 EDT
Hi, can you please provide logs of the connection? To capture them:

 # add '-dd' to OTHER_ARGS in /etc/sysconfig/wpa_supplicant, then
 systemctl restart wpa_supplicant
 nmcli general logging level TRACE
 # enable the hotspot and attempt to connect, then
 journalctl -u NetworkManager -u wpa_supplicant --since "2 minutes ago"

Thanks!
Comment 2 Fedora End Of Life 2018-05-03 04:35:46 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:53:44 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.